<header class="create-net-component-header__content py-2">
  <div class="new-button-header__nav">
  </div>
  <div class="new-button-header__center">
    <h1 class="new-button-header__title my-3">
      CREAR RED
    </h1>
  </div>
  <div class="new-button-header__nav">
    <button {{action 'toggleModal'}} type="button" name="button" class="header__button">
      {{svg-jar "cross" class="icon"}}
    </button>
  </div>
</header>
<div class="create-net-component__modal-content w-100">
  <div class="mx-0 row create-net-component__h-total justify-content-center align-items-end w-100">
    <div class="{{modalClasses}} create-net-component__inputs-container">
      <div class="col-12 mt-0 mb-4 create-net-component__text">
        Crear tu propia red te permitirá moderar los botones y usuarios que se creen en ella, y configurar opciones de creación y búsqueda adaptadas a tus propósitos.
      </div>
      <form class="" onsubmit="return false;">
        <div class="input">
          <label for="nickname" class="label">
            Nombre de la red
          </label>
          {{input id='nickname' input=(action "nameKeyUp" buttonNet.nickname) value=buttonNet.nickname class='input__input mb-2' required=true placeholder="p.ej. AlimentosDeSanBlas"}}
        </div>
        <div class="input">
          <label for="name" class="text create-net-component__text">
            Nombre de URL : {{#if buttonNet.name}}botonesdeayuda.org/{{buttonNet.name}}{{/if}}
          </label>
          {{input id='name' input=(action "nameKeyUp" buttonNet.name) value=buttonNet.name class='input__input mb-2' required=true placeholder="p.ej. AlimentosDeSanBlas"}}
        </div>
        <div class="input">
          <label for="net-description" class="label">
            Descripción de red
          </label>
          {{textarea class="mb-2 form-control profile-edition__input profile-edition__textarea" placeholder="p.ej. Esta red es es para compartir alimentos e información en el barrio de San Mateo" value=buttonNet.description}}
        </div>
        <div class="input">
          <label for="net-icon" class="label">
            Icono de red
          </label>
          <div class="col-6 col-lg-4 m-0 p-0 mb-4">
            <div class="checkbox checkbox__netIcon">
              <label class="checkbox__label mb-0">
                {{input change=(action 'toggleShowIcons' 'showIconSelector') type="checkbox" checked=showIconSelector  class="form-control checkbox__checkbox"}}
                <div class="checkbox__content checkbox__content--small profile-edition__checkbox">
                  {{#unless buttonNet.imgUrl}}
                  <div class="checkbox__text">
                    Selecionar
                  </div>
                  {{else}}
                    <div class="checkbox__netIcon_icon checkbox__text">
                      {{svg-jar buttonNet.imgUrl class="button-file__big-icon"}}
                    </div>
                  {{/unless}}
                </div>
              </label>
            </div>
          </div>
        </div>
        <div class="input">
          <label for="net-location" class="label">
            Ubicación de la red (orientativo):
          </label>
            {{place-autocomplete-field
              classNames="input mb-3"
              inputClass='input__input mb-2'
              value=buttonNet.locationName
              searchAction=(action 'searchByAddress')
              setValueWithProperty='buttonNet.locationName'
              handlerController=this
              withGeoLocate=true
              placeholder="¿Dónde se sitúa tu red?"
              disabled=isSearching
              placeChangedCallback=(action 'acceptLocation')
            }}
        </div>
        <div class="input">
          <label for="net-privacy" class="label">
            Privacidad :
          </label>
          <div class="row">
          <div class="row col-12 m-0 mb-4">
            <div class="col-lg-6 checkbox">
              <label class="checkbox__label mb-0">
                {{input change=(action 'togglePrivateNet' 'isPrivateNet') type="checkbox" checked=isPublicNet  class="form-control checkbox__checkbox"}}
                <div class="checkbox__content--left checkbox__content checkbox__content--small  profile-edition__checkbox">
                  <div class="checkbox__text">
                    Pública
                  </div>
                </div>
              </label>
            </div>
            <div class="col-lg-6 checkbox">
              <label class="checkbox__label mb-0">
                {{input change=(action 'togglePrivateNet' 'isPrivateNet') type="checkbox" checked=isPrivateNet  class="form-control checkbox__checkbox"}}
                <div class=" checkbox__content--right checkbox__content checkbox__content--small profile-edition__checkbox">
                  <div class="checkbox__text">
                    Privada
                  </div>
                </div>
              </label>
            </div>
          </div>
        </div>
        {{#if isPrivateNet}}
          <div class="col-12 mt-1 mb-4">
            {{#if isButtonNetRoute}}
              Para hacer tu red privada recomendamos contribuir al desarrollo de la plataforma suscribiéndote por 1 euro al mes a nuestro Teaming o Paypal. Necesitamos al menos 500 suscripciones para mantener la iniciativa con vida. Muchas gracias. {{#link-to 'button-net.others' (query-params section="create")}}¿Qué es una red privada?{{/link-to}}
            {{else}}
              Para hacer tu red privada recomendamos contribuir al desarrollo de la plataforma suscribiéndote por 1 euro al mes a nuestro Teaming o Paypal. Necesitamos al menos 500 suscripciones para mantener la iniciativa con vida. Muchas gracias. {{#link-to 'others' (query-params section="create")}}¿Qué es una red privada?{{/link-to}}
            {{/if}}
          </div>
        {{/if}}
        </div>
        {{#if isPrivateNet}}
          <div class="col-12 mt-0 mb-4">
            Esta opción es la mejor, pues no cobra comisiones. Tu dinero irá íntegro a sostener Helpbuttons.
          </div>
          <div class="others__iframe">
            <iframe class="w-100 h-100" src="https://www.teaming.net/group/spread/widgets/WfVqddYzVcZYU08KlkSp4LzQTpl4i5kV3jjodrJvQ9O5K/2?lang=es_ES&TM=true"  scrolling="no" style="overflow: hidden; border:none;"></iframe>
          </div>
          <div class="others__iframe">
            <div id="paypal-button-container"></div>
          </div>
          <!-- <a href="https://www.patreon.com/bePatron?u=33100514" data-patreon-widget-type="become-patron-button">Become a Patron!</a><script async src="https://c6.patreon.com/becomePatronButton.bundle.js"></script> -->
          <div class="col-12 mt-4 mb-4">
              Si has creado tu red privada en otro servidor sólo tienes que hacer click aquí, añadir tu URL y conectaremos las plataformas.
          </div>
          <div class="row">
          <div class="row col-12 m-0 mb-4">
            <div class="col-lg-12 checkbox">
              <label class="checkbox__label mb-0">
                {{input change=(action 'togglePrivateNet' 'isExternalNet') type="checkbox" checked=isExternalNet  class="form-control checkbox__checkbox"}}
                <div class="checkbox__content checkbox__content--small  profile-edition__checkbox">
                  <div class="checkbox__text">
                    Red en otro servidor
                  </div>
                </div>
              </label>
            </div>
          </div>
          </div>
          {{#if isExternalNet}}
            <div class="input mt-3">
              <label for="external-url" class="label">
                URL externa :
              </label>
              {{input id='net-url' value=buttonNet.netUrl class='input__input mb-2' required=true placeholder="Escribe aquí tu URL"}}
            </div>
            <div class="col-12 mt-1 mb-4">
              {{#if isButtonNetRoute}}
                Si has instalado Helpbuttons en otro servidor, pon aquí su URL y contribuye a conectar las redes de todo el mundo.{{#link-to 'button-net.others' (query-params section="info")}}¿Qué es una red externa?{{/link-to}}
              {{else}}
                Si has instalado Helpbuttons en otro servidor, pon aquí su URL y contribuye a conectar las redes de todo el mundo.{{#link-to 'others' (query-params section="info")}}¿Qué es una red externa?{{/link-to}}
              {{/if}}
            </div>
          {{/if}}
        {{/if}}

        {{#if hasError}}
          {{#each errorMessages as |error|}}
            {{error-message title=error.title subtitle=error.detail}}
          {{/each}}
        {{/if}}
        <div class="row justify-content-center mt-5">
          <div class="col-12">
            {{#promise-button
              type="submit"
              class="button-sample"
              btnAction=(action 'submitNewNet')
            }}
              CREAR RED
            {{/promise-button}}
          </div>
        </div>
      </form>
    </div>
  </div>
</div>
{{#if showIconSelector}}
  {{#modal-dialog
    onClose=(action 'toggleShowIcons')
    targetAttachment="center"
    translucentOverlay=true
    animatable=true
    containerClass="button-new-date__pickers-modal-content"
    overlayClass="button-new-date__pickers-modal"
  }}
    <div class="row px-4">
      <div class="col-12 px-3 mt-3">
        <header class="ember-modal-dialog__header ember-modal-dialog__header--bigger">
          <h3 class="ember-modal-dialog__title ember-modal-dialog__title--reservation-picker">
            Selecciona icono para tu red
            <br>
            <small class="mt-3 mb-2">Haga clic para elegir</small>
          </h3>
        </header>
      </div>
      <div class="col-sm my-3 create-net-component__icons_list">
      {{#each icons as |icon|}}
        <button {{action 'addIcon' icon}} {{action 'toggleShowIcons'}} class="selected icon" type="button" name="button">
          <div class="">
            <div class="radio-button__text">
              {{svg-jar icon class="icon others__categories"}}<br>
              {{icon.to_s}}
            </div>
          </div>
        </button>
      {{/each}}
      </div>
    </div>
    <!-- <div class="row">
      <div class="col-12">
        <button class="button-sample border-0" {{action 'toggleShowIcons'}} type="button" name="button">
          Aceptar
        </button>
      </div>
    </div> -->
  {{/modal-dialog}}
{{/if}}
{{#if isModal}}
  {{#if isButtonNetRoute}}
    {{#link-to 'button-net.index.index' (query-params hideWelcome="true") class="create-net-component__close-container"}}{{/link-to}}
  {{else}}
    {{#link-to 'index.index' (query-params hideWelcome="true") class="create-net-component__close-container"}}{{/link-to}}
  {{/if}}
{{/if}}
{{yield}}
